Batch Real-Time Tick
Batch obtain real-time Tick data for multiple futures contracts, covering China's four major futures exchanges and mainstream international futures markets, including commodity futures, financial futures and all types of contracts. Provide millisecond-accurate transaction-by-transaction records, including transaction prices, trading volumes, buy/sell directions and timestamps, along with real-time order book snapshots.
GET
/future/ticksRequest Parameters
regionenumRequiredMarket code
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
tnumberTimestamp of the latest trade
vnumberTransaction volume
Code Examples
import requests
url = "https://api.itick.org/future/ticks?region=US&codes=NQ,ES"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
GET
https://api.itick.org/future/ticks?region=US&codes=NQ,ES, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"NQ": {
"s": "NQ",
"ld": 22948.5,
"t": 1754062000728, // 2025-08-01 15:26:40 UTC
"v": 17
},
"ES": {
"s": "ES",
"ld": 65.04,
"t": 1754689608000, // 2025-08-08 21:46:48 UTC
"v": 181428
}
}
}